Application: gvSIG desktop - gvSIG bugs #4355
Scripting composer: Groovy printf statement is ignored in the console tab (log messages)
Description

Same of #4250 and #4354 but relative to Groovy scripts. To reproduce the bug simply create the default Groovy script and execute it.
Result: no "hola" is printed in the console.

Associated revisions

Revision 43553 - 10/04/2017 11:50 AM - Joaquin del Cerro Murciano

refs #4355, update groovy version to 2.4.12

History

#1 - 09/13/2016 06:52 PM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

#2 - 06/07/2017 02:06 PM - Alvaro Anguix
- Target version deleted (2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220))

#3 - 09/29/2017 02:16 PM - Andrea Antonello

| had not seen that this wa sknow for a year now.

| think we should not claim that groovy works if it definitely does not. This should either be solved or the groovy option in scripting should be removed
from the possible options.

#4 - 09/29/2017 02:17 PM - Andrea Antonello
- Target version set to 2.4.0-2841-RC3 (rev. org.gvsig.desktop-2.0.209)

I will try to set the RC3 as target version, it would be really good to have.

#5 - 09/29/2017 03:31 PM - Antonio Falciano

Andrea Antonello wrote:
| think we should not claim that groovy works if it definitely does not. This should either be solved or the groovy option in scripting should be

removed from the possible options.

Hi Andrea,

I think that it should be fixed (if possible) it just in time, if someone has time and resources to do it. For instance, consider also #4646. It's incredible
that nobody has noticed that System.out.printin doesn't work since gvSIG 1.x! Fortunately, we can print in Jython at least. Instead, Groovy support is
relatively more recent, but not tested clearly. So I'm agree with you: if a feature is broken, it's better to remove it or type in capital letters that it's

unstable. My two cents.

#6 - 10/01/2017 09:12 AM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2841-RC3 (rev. org.gvsig.desktop-2.0.209) to 2.5.1-3044

#7 - 10/04/2017 11:44 AM - Joaquin del Cerro Murciano

Se trata de un bug de Groovy reconocido desde 2014:

Redirection of output in javax.script.ScriptEngine.invokeFunction() doesn't work
https://issues.apache.org/jira/browse/GROOVY-7150

Parece que esta arreglado en la version 2.4.8 de Groovy (Jan, 2017).

Actualizare a la version 2.4.12 (Jun, 2017) que es la ultima estable.

#8 - 10/04/2017 11:57 AM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#9 - 10/04/2017 12:16 PM - Antonio Falciano

Joaquin del Cerro Murciano wrote:

Se trata de un bug de Groovy reconocido desde 2014:

Redirection of output in javax.script.ScriptEngine.invokefFunction() doesn't work
https.//issues.apache.org/jira/browse/GROOVY-7150

Parece que esta arreglado en la version 2.4.8 de Groovy (Jan, 2017).

Actualizare a la version 2.4.12 (Jun, 2017) que es la ultima estable.

Thank you very much, Joaquin!

#10 - 10/14/2017 08:25 PM - Antonio Falciano
- Status changed from Fixed to Closed
